#language: ru

@milk_reception

Функционал: 01_milk_reception.01.017 Заполнение справочников ТС + Типы ТС + Физ.лица

Сценарий: 01_milk_reception.01.017 Заполнение справочника Типы танспортных средств
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Типы транспортных средств'
	Тогда открылось окно 'Типы транспортных средств'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Типы транспортных средств (создание)'
	И в поле 'Наименование' я ввожу текст 'Камаз'
	И в поле 'Грузоподъемность' я ввожу текст '9,000'
	И в поле 'Вместимость' я ввожу текст '35,000'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Типы транспортных средств (создание)' в течение 20 секунд
	Тогда открылось окно 'Типы транспортных средств'
	И я закрываю окно 'Типы транспортных средств'

Сценарий: 01_milk_reception.01.017 Заполнение справочника Физические лица
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Физические лица'
	Тогда открылось окно 'Физические лица'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Физическое лицо (создание)'
	И в поле 'Наименование' я ввожу текст 'Водитель Иванов Иван'
	И в поле 'ФИО' я ввожу текст 'Иванов Иван'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Физическое лицо (создание)' в течение 20 секунд
	Тогда открылось окно 'Физические лица'
	И я закрываю окно 'Физические лица'

Сценарий: 01_milk_reception.01.017 Заполнение справочника Транспортные средства
	И В командном интерфейсе я выбираю 'Производство' 'Транспортные средства'
	Тогда открылось окно 'Транспортные средства'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Транспортные средства (создание)'
	И в поле 'Государственный номер' я ввожу текст 'Н453РУ'
	И в поле 'Марка' я ввожу текст 'Камаз'
	И я нажимаю кнопку выбора у поля "Тип"
	Тогда открылось окно 'Типы транспортных средств'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Камаз'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Транспортные средства (создание) *'
	И я нажимаю кнопку выбора у поля "Основной водитель"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'          |
		| 'Водитель Иванов Иван'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Транспортные средства (создание) *'
	И я устанавливаю флаг 'Постоянно наемное ТС'
	И я нажимаю кнопку выбора у поля "Транспортная компания"
	Тогда открылось окно 'Контрагенты'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Транспортные средства (создание) *'
	И в таблице "СкладыОтгрузки" я нажимаю на кнопку с именем 'СкладыОтгрузкиДобавить'
	И в таблице "СкладыОтгрузки" я нажимаю кнопку выбора у реквизита "Склад отгрузки"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      		   |
		| 'milk_rec_Склад с ячейками'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Транспортные средства (создание) *'
	И я перехожу к закладке "Доступные условия перевозки"
	И в таблице "ДоступныеУсловияПеревозки" я нажимаю на кнопку с именем 'ДоступныеУсловияПеревозкиДобавить'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Транспортные средства (создание) *' в течение 20 секунд
	Тогда открылось окно 'Транспортные средства'
	И Я закрываю окно 'Транспортные средства'